<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">
  <xsd:element name="Spotify">
    <xsd:complexType>
      <xsd:sequence>
        <xsd:element maxOccurs="unbounded" name="Cuenta">
          <xsd:complexType>
            <xsd:all>
              <xsd:element name="Nombre" type="xsd:string"/>
              <xsd:element name="Correo" type="xsd:string"/>
              <xsd:element minOccurs="0" name="Telefono">
                <xsd:complexType>
                  <xsd:simpleContent>
                    <xsd:extension base="xsd:string">
                      <xsd:attribute name="tipo" use="required" type="xsd:NCName"/>
                    </xsd:extension>
                  </xsd:simpleContent>
                </xsd:complexType>
              </xsd:element>
            </xsd:all>
            <xsd:attribute name="fechaFin" type="xsd:date"/>
            <xsd:attribute name="fechaIni" type="xsd:date"/>
            <xsd:attribute name="id" use="required" type="xsd:integer"/>
            <xsd:attribute name="plan" use="required" type="xsd:NCName"/>
          </xsd:complexType>
        </xsd:element>
      </xsd:sequence>
      <xsd:attribute name="version" use="required" type="xsd:decimal"/>
    </xsd:complexType>
  </xsd:element>
</xsd:schema>
